import { type PromptObject } from "@done-coding/cli-utils";
import type { CreateTemplateChoiceItem } from '../types';
/** 获取模版选项 */
export declare const getTemplateList: () => Promise<CreateTemplateChoiceItem[]>;
/** 模版选项 */
export declare const getTemplateChoices: () => Promise<CreateTemplateChoiceItem[]>;
export declare const projectNameForm: PromptObject<string>;
export declare const getTemplateForm: () => Promise<PromptObject<string>>;
export declare const saveGitHistoryForm: {
    type: "confirm";
    name: string;
    message: string;
    initial: boolean;
};
/** 获取删除目录的表单 */
export declare const getRemoveDirForm: (message?: string) => {
    type: "confirm";
    name: string;
    message: string;
};
/** 自定义模板路径表单 */
export declare const customUrlForm: PromptObject<string>;
/** 获取git提交信息表单 */
export declare const getGitCommitMessageForm: (projectName: string) => PromptObject<string>;
